body {
    height: 100vh;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-use-select: none;
    user-select: none;
}

ul {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

p {
    margin: 0;
}

ul > :not(#already):hover{
    background: rgb(214, 255, 152)!important;
}

ul > #already:hover{
    background: bisque!important;
}

h1 {
    margin-top: 0;
    margin-bottom: 10px;
}

.black-bg {
    position: relative;
    width:100vw;
    height:100vh;
    opacity:0;
    visibility:hidden; 
    position: fixed;
    background-color: rgba(0,0,0,0.5);
    z-index: 5;
}

.select-bar {
    position: absolute;
    left: 35%;
    top:35%;
    background-color: white;
    width: 30%;
    height: 30%;
    border: none;
    border-radius: 10px;
}

.select-bar input[type="number"] {
    border-radius: 5px;
    margin-bottom: 5px;
}

.X_button {
    display: inline;
    position: relative;
    bottom: 25%;
    left: 57.5%;
}

.X_button:hover{
    cursor: pointer;
}

label[for="cols"] {
    position: relative;
    left: 10px;
}

#cols {
    position: relative;
    left: 10px;
}

.submit {
    border: none;
    border-radius: 5px;
    padding: 7.5px 20px;
    background-color: black;
    color: white;
}

.submit:hover{
    cursor: pointer;
}

.show-custom {
    visibility: visible;
    opacity: 1;
}

.flexcontent {
    display:flex;
    justify-content:center; 
    align-items:center;
}

.mine-circle {
    border:none;
    border-radius:50%;
    display: none;
}

.number {
    font-weight: bold;
    display: none;
}

.level {
    background-color: black;
    color: white;
    font-size: 20px;
    padding: 10px 20px;
    margin-bottom: 10px;
    border: none;
    border-radius: 10px;
}

.option {
    display: flex;
    justify-content: center;
}

.level:hover {
    cursor: pointer;
}

.made_by {
  margin-left: auto;
  font-size: 20px;
  position: relative;
  bottom: 10px;
  right: 20px;
}


#CoinGame_Back_Button {
	border: 0;
	background-color: #585858;
	color: #fff;
	font-size: 2em;
	padding: 10px 10px;
	border-radius: 10px;
	position: absolute;
	top: 15px;
	left: 15px;
}

#CoinGame_Back_Button:hover {
	background-color: #F2849E;
	transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
}

#CoinGame_Back_Button:not(:hover) {
	transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;

}